I have made a simple Ruby scipt in order to estrude a circle along a curve (with face.followme method).
The question arise when I try to draw the initial circle, with its centre in the coordinates I'm using (they are geographic ones as X=681581.4417, Y=4850429.052, Z=85.368)
This is the sample script, with the final test to verify the face consistency:
` entities = Sketchup.active_model.entities
direction=Geom::Vector3d.new(0,0,1)
#centerpoint= Geom::Point3d.new(0,0,0)
centerpoint= Geom::Point3d.new(681581.4417,4850429.052,85.368)
edges = entities.add_circle centerpoint, direction, 1, 1000
face = entities.add_face(edges)
if (face)
UI.messagebox face
else
UI.messagebox "Failure"
end`
In some cases the face creation give a failure.
Attached you find the circle that the script has draw.
The problem doesn't happen when the coordinate are a low value (as example X=0, Y=0, Z=1).
I think it depends on the very low "circle radius" to "centre coordinates" ratio.
What do you think?